function [result] = predictAsys(ecg_data1,ecg_data2,ppg_data,Fs)

    load 'asysPredictive_Model_St.mat'

    pred_result = [0 0];
    test_s = 1;
    
    for loop = 1:1:2
        
        if(loop == 1)
            ecg_data = ecg_data1;
        else
            ecg_data = ecg_data2;
        end
        
        flat = 0;
        [x_fv,tn,ppg_data1] = get_fv(ecg_data,ppg_data,Fs);    

        if(tn==0)

            test_set = x_fv;

            [m_test,n_test] = size(test_set);
            test_f = m_test;
        else
            flat = 1;
        end

        if(~flat)
            test_len = test_f - test_s + 1;

%             for i=1:1:n_test
%                 test_set(:,i) = (test_set(:,i) - mean_x(i))/(max_x(i) - min_x(i));
%             end

            test_x = [ones(test_len,1) test_set];

            sum_thresh = 1;
            
            [svm_y,~] = predict(svm_struct,test_x);

            sum_y = sum(svm_y);

            if(sum_y >= sum_thresh)

                pred_result(1,loop) = 1;
                [ppg_flat,~] = verify_flat(ppg_data1,Fs,0);
                if(std(ppg_data1) < 0.005)
                    ppg_flat = 1;
                end
                if(~ppg_flat)
                    
                    ppg_data1 = detrend(ppg_data1);
                    
                    ppg_data_diff = diff(ppg_data1);
                    ppg_data_diff = (smooth(ppg_data_diff))';
                    ppg_data_diff = ppg_data_diff/max(ppg_data_diff);
                    
                    [~,diff_locs1] = findpeaks(ppg_data_diff,'MINPEAKHEIGHT',0.25,'MINPEAKDISTANCE',ceil(0.25*Fs));
                    
                    ppg_len = length(ppg_data1);
                    diff_locs = [diff_locs1 ppg_len];
                    diff_difflocs = diff(diff_locs);
                    
                    if(length(diff_difflocs) > 1)
                        asys_true = 0;
                        ppg_asys = find(diff_difflocs > (3.7*Fs));
                        for i = 1:1:length(ppg_asys)
                            st = diff_locs(ppg_asys(i));
                            fi = diff_locs(min(ppg_len,ppg_asys(i)+1));
                            diff_std = std(ppg_data_diff(st:fi-1));
                            if(diff_std < 0.2)
                                asys_true = 1;
                                break;
                            end
                            
                        end
                        if(~asys_true)
                            std_difflocs = std(diff_difflocs);
                            
                            if(std_difflocs < 50)
                                pred_result(1,loop) = 0;
                                
                            else
                                ppg_data_corr = xcorr(ppg_data_diff,'coeff');
                                
                                [~,corr_locs] = findpeaks(ppg_data_corr(1:ppg_len),'MINPEAKHEIGHT',0.05);
                                difflocs_len = length(diff_locs);
                                corrlocs_len = length(corr_locs);
                                
                                if(abs(difflocs_len - corrlocs_len) < 2)
                                    pred_result(1,loop) = 0;
                                    
                                end
                            end
                        end
                    end
                end

            else

                pos = (1:1:25)';
                [pos_len,~] = size(pos);
                [ppg_flat,~] = verify_flat(ppg_data1,Fs,0);

                if(~ppg_flat)

                    if(max(ppg_data1) > 0.1 && max(ppg_data1) < 1)
                        ppg_data1 = ppg_data1/max(ppg_data1);
                    end

                    for p = 1:1:pos_len

                        if(pos(p,1) == 1)

                            st_ppg = ceil(((pos(p,1)-1)*Fs*0.25)+1);
                        else
                            st_ppg = ceil(((pos(p,1)-1)*Fs*0.25));

                        end

                        fi_ppg = st_ppg + 1000;

                        ppg_block = ppg_data1(st_ppg:fi_ppg);
                        [pred_result(1,loop),~] = test_ppg(ppg_block);

                        if(pred_result(1,loop) == 1)
                            break;
                        end
                    end
                end
            end
        end
        
        if(pred_result(1,loop) == 1)
            break;
        end
    end
    
    result = pred_result(1,1) || pred_result(1,2);
end